Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.context
Class JspPrintWriterAdapter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.apache.tiles.jsp.context.JspPrintWriterAdapter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class JspPrintWriterAdapter

extends java.io.PrintWriter

Adapts a `JspWriter` to a `PrintWriter`, swallowing `IOException`.

Since:
  2.1.2
Version:
  $Rev: 791161 $ $Date: 2009-07-04 20:53:36 +0200 (sab, 04 lug 2009) $

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`JspPrintWriterAdapter(javax.servlet.jsp.JspWriter writer)` Constructor.

Method Summary
`java.io.PrintWriter` | `append(char c)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`void` | `close()`
`void` | `flush()`
`javax.servlet.jsp.JspWriter` | `getJspWriter()` Returns the original JSP writer.
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String x)`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`

Methods inherited from class java.io.PrintWriter
`checkError, clearError, format, format, printf, printf, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspPrintWriterAdapter

    public JspPrintWriterAdapter(javax.servlet.jsp.JspWriter writer)

  Constructor.

  Parameters:
    `writer` - The JSP writer.
  Since:
    2.1.2

Method Detail

### getJspWriter

    public javax.servlet.jsp.JspWriter getJspWriter()

  Returns the original JSP writer.

  Returns:
    The JSP writer.
  Since:
    2.1.2

### append

    public java.io.PrintWriter append(char c)

  Specified by:
    `append` in interface `java.lang.Appendable`
  Overrides:
    `append` in class `java.io.PrintWriter`

### append

    public java.io.PrintWriter append(java.lang.CharSequence csq,
                                      int start,
                                      int end)

  Specified by:
    `append` in interface `java.lang.Appendable`
  Overrides:
    `append` in class `java.io.PrintWriter`

### append

    public java.io.PrintWriter append(java.lang.CharSequence csq)

  Specified by:
    `append` in interface `java.lang.Appendable`
  Overrides:
    `append` in class `java.io.PrintWriter`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.PrintWriter`

### flush

    public void flush()

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.PrintWriter`

### print

    public void print(boolean b)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(char c)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(char[] s)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(double d)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(float f)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(int i)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(long l)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(java.lang.Object obj)

  Overrides:
    `print` in class `java.io.PrintWriter`

### print

    public void print(java.lang.String s)

  Overrides:
    `print` in class `java.io.PrintWriter`

### println

    public void println()

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(boolean x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(char x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(char[] x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(double x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(float x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(int x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(long x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(java.lang.Object x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### println

    public void println(java.lang.String x)

  Overrides:
    `println` in class `java.io.PrintWriter`

### write

    public void write(char[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.PrintWriter`

### write

    public void write(char[] buf)

  Overrides:
    `write` in class `java.io.PrintWriter`

### write

    public void write(int c)

  Overrides:
    `write` in class `java.io.PrintWriter`

### write

    public void write(java.lang.String s,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.PrintWriter`

### write

    public void write(java.lang.String s)

  Overrides:
    `write` in class `java.io.PrintWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.